* Set up an error handler.

on error llError = .T.
llError = .F.

* Open the CUSTOMER table and table buffer it.

open database (_samples + 'DATA\TESTDATA')
use CUSTOMER
set multilocks on
cursorsetprop('Buffering', 5)

* Do some data updates; the second one duplicates the primary key of the first
* record.

replace COMPANY with 'Howdy'
skip
replace CUST_ID with 'ALFKI'

* Try using GETNEXTMODIFIED; an error will occur.

llChanged = DataChanged6()
if llError
	aerror(laError)
	wait window laError[2]
	llError = .F.
else
	wait window 'Data ' + iif(llChanged, 'was', 'was not') + ' changed'
endif llError

* Try again with the lNoFire parameter; no error should occur.

llChanged = DataChanged7()
if llError
	aerror(laError)
	wait window laError[2]
	llError = .F.
else
	wait window 'Data ' + iif(llChanged, 'was', 'was not') + ' changed'
endif llError

* Clean up and exit.

tablerevert(.T.)
on error
